%global pname   skinenigmang

Name:           vdr-%{pname}
Version:        0.1.2
Release:        25%{?dist}
Summary:        A skin for VDR based on the Enigma text2skin add on

Group:          Applications/Multimedia
License:        GPL+
URL:            http://andreas.vdr-developer.org/enigmang/
Source0:        http://andreas.vdr-developer.org/enigmang/download/vdr-skinenigmang-%{version}.tgz
Source1:        http://andreas.vdr-developer.org/enigmang/download/skinenigmang-logos-xpm-hi-20070702.tgz
Source2:        %{name}.conf
Patch0:         %{name}-0.1.2-config.patch
Patch1:         %{name}-fsf-fix.patch
# http://projects.vdr-developer.org/projects/plg-skinenigmang/repository/revisions/4001478a343b9631ade6be4192b2b12e1b8508b9
Patch2:         GraphicsMagick_support.diff
# http://projects.vdr-developer.org/projects/plg-skinenigmang/repository/revisions/aae9aadc381d4f67326a25c80214c2b7ef04e10a
Patch3:         disappearing_symbols.diff
# http://projects.vdr-developer.org/git/vdr-plugin-skinenigmang.git/patch/?id=7a6f5376f83d9f45a07d322ef36bf6ad5bb6170e
Patch4:         osd-signal-information.patch
# http://projects.vdr-developer.org/git/vdr-plugin-skinenigmang.git/patch/?id=5772879e19b1588bbb541a6f7565caf5b9dbd5d6
Patch5:         main-menue-info.patch
# http://projects.vdr-developer.org/git/vdr-plugin-skinenigmang.git/patch/?id=51fc8602d62d81b3a717a85b748f79bccf90621a
Patch6:         free-video-disk-space.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  freetype-devel
BuildRequires:  GraphicsMagick-c++-devel
BuildRequires:  vdr-devel >= 1.7.30
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description 
VDR plugin: %{pname} - %{summary}
 
%prep
%setup -q -n %{pname}-%{version} -a 1
iconv -f iso-8859-1 -t utf-8 README > README.utf8 ; mv README.utf8 README
mv skinenigmang/HISTORY HISTORY.logos
mv skinenigmang/README README.logos
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
make %{?_smp_mflags} LIBDIR=. LOCALEDIR=./locale VDRDIR=%{_libdir}/vdr \
    HAVE_IMAGEMAGICK=GRAPHICS

%install
install -dm 755 $RPM_BUILD_ROOT%{vdr_plugindir}
install -pm 755 libvdr-%{pname}.so.%{vdr_apiversion} \
    $RPM_BUILD_ROOT%{vdr_plugindir}

# skinenigmang.conf
install -Dpm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf

# themes
install -dm 755 $RPM_BUILD_ROOT%{vdr_vardir}/themes
install -pm 644 themes/*.theme $RPM_BUILD_ROOT%{vdr_vardir}/themes

# flags,icons
install -dm 755 $RPM_BUILD_ROOT%{vdr_resdir}
cp -a skinenigmang/{flags,icons} $RPM_BUILD_ROOT%{vdr_resdir}

# Locale
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
%find_lang %{name}


%files -f %{name}.lang
%doc COPYING HISTORY* README*
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}
%{vdr_vardir}/themes/EnigmaNG-*.theme
%{vdr_resdir}/flags
%{vdr_resdir}/icons


%changelog
* Mon Apr 06 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-25
- Rebuild (vdr)

* Mon Mar 09 2015 Rex Dieter <rdieter@fedoraproject.org> 0.1.2-24
- rebuild (GraphicsMagick)

* Thu Feb 19 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-23
- Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-20
- Rebuild

* Sun Mar 23 2014 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-19
- Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 31 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-17
- Rebuild.

* Sat Mar 16 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-16
- Rebuild.

* Wed Mar 13 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-15
- Rebuild.

* Sun Mar 03 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-14
- Rebuild.

* Mon Feb 18 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-13
- Rebuild.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec 22 2012 Martin Gansser <martinkg@fedoraproject.org> - 0.1.2-11
- Rebuild.

* Tue Oct 02 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-10
- Rebuild.

* Thu Sep 13 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-9
- Adapt to VDR 1.7.30.

* Thu Jul 19 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.1.2-8
- Rebuild.

* Fri Jun 29 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-7
- fixed corrupt osd-signal-information.patch

* Thu Jun 28 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-6
- Rebuild
- added OSD patch for signal information
- added patch for Main menu info area with VDR 1.7.28+
- added patch to display free video disk space with VDR 1.7.28+  

* Sun Jun 17 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-5
- fixed wrong url
- changed license type from GPLv2+ to GPL+

* Thu Jun 14 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-4
- more spec file cleanups
- fixed copying of source file to build dir

* Tue Jun 12 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-3
- added config patch
- added flag and icons in file section
- spec file cleanup

* Sat Jun 2 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-2
- added patch for GraphicsMagick support
- added patch for disappearing symbols

* Mon Apr 30 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-1
- spec cleanup

* Tue Sep 20 2011 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-2
- spec cleanup

* Sat Sep 17 2011 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-1
- initial release
